> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merciasquill.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Connections



## OpenAPI

````yaml get /discord/user/connections
openapi: 3.0.0
info:
  title: discord
  version: 1.0.0
servers:
  - url: https://api.merciasquill.com
security:
  - ApiKeyAuth: []
paths:
  /discord/user/connections:
    get:
      tags:
        - discord_user_connections
      summary: public
      parameters:
        - name: force
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: raw_data
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: max_age
          in: query
          description: ''
          required: false
          schema:
            type: string
          example: 10s
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    type:
                      type: string
                    friend_sync:
                      type: boolean
                    metadata_visibility:
                      type: integer
                    show_activity:
                      type: boolean
                    two_way_link:
                      type: boolean
                    verified:
                      type: boolean
                    visibility:
                      type: integer
              examples:
                merciasquill:
                  value:
                    - id: merciasquill.com
                      name: merciasquill.com
                      type: domain
                      friend_sync: false
                      metadata_visibility: 1
                      show_activity: true
                      two_way_link: false
                      verified: true
                      visibility: 1
                    - id: '1091371178'
                      name: merciasquill
                      type: twitch
                      friend_sync: false
                      metadata_visibility: 1
                      show_activity: true
                      two_way_link: false
                      verified: true
                      visibility: 1
                    - id: '1424201376159178754'
                      name: MerciasQuill
                      type: twitter
                      friend_sync: false
                      metadata_visibility: 1
                      show_activity: true
                      two_way_link: false
                      verified: true
                      visibility: 1
                    - id: '3066457469317231'
                      name: MerciasQuill450
                      type: xbox
                      friend_sync: false
                      metadata_visibility: 1
                      show_activity: true
                      two_way_link: true
                      verified: true
                      visibility: 1
                  summary: merciasquill
                merciasquill_raw:
                  value:
                    - id: merciasquill.com
                      name: merciasquill.com
                      type: domain
                      friend_sync: false
                      metadata_visibility: 1
                      show_activity: true
                      two_way_link: false
                      verified: true
                      visibility: 1
                    - id: '1091371178'
                      name: merciasquill
                      type: twitch
                      friend_sync: false
                      metadata_visibility: 1
                      show_activity: true
                      two_way_link: false
                      verified: true
                      visibility: 1
                    - id: '1424201376159178754'
                      name: MerciasQuill
                      type: twitter
                      friend_sync: false
                      metadata_visibility: 1
                      show_activity: true
                      two_way_link: false
                      verified: true
                      visibility: 1
                    - id: '3066457469317231'
                      name: MerciasQuill450
                      type: xbox
                      friend_sync: false
                      metadata_visibility: 1
                      show_activity: true
                      two_way_link: true
                      verified: true
                      visibility: 1
                  summary: merciasquill_raw
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  platform:
                    type: string
                  reasonId:
                    type: string
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                      code:
                        type: integer
              example:
                platform: Discord
                reasonId: Unauthorized
                data:
                  message: '401: Unauthorized'
                  code: 0
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.